← Back to team overview

launchpad-reviewers team mailing list archive

[Merge] lp:~cjwatson/launchpad-buildd/modprobe-nbd into lp:launchpad-buildd

 

Colin Watson has proposed merging lp:~cjwatson/launchpad-buildd/modprobe-nbd into lp:launchpad-buildd.

Commit message:
Try to load the nbd module when starting launchpad-buildd (LP: #1531171).

Requested reviews:
  Launchpad code reviewers (launchpad-reviewers)
Related bugs:
  Bug #1531171 in launchpad-buildd: "add nbd module to init script"
  https://bugs.launchpad.net/launchpad-buildd/+bug/1531171

For more details, see:
https://code.launchpad.net/~cjwatson/launchpad-buildd/modprobe-nbd/+merge/281681

Try to load the nbd module when starting launchpad-buildd.  This should generally be harmless, and it would let cloud image builds use qemu-nbd for performance.
-- 
Your team Launchpad code reviewers is requested to review the proposed merge of lp:~cjwatson/launchpad-buildd/modprobe-nbd into lp:launchpad-buildd.
=== modified file 'debian/changelog'
--- debian/changelog	2015-11-25 15:00:43 +0000
+++ debian/changelog	2016-01-05 17:51:00 +0000
@@ -6,6 +6,8 @@
     that now.
   * Configure systemd-timesyncd to use the NTP server configured in
     /etc/launchpad-buildd/default.
+  * Try to load the nbd module when starting launchpad-buildd
+    (LP: #1531171).
 
  -- Colin Watson <cjwatson@xxxxxxxxxx>  Mon, 16 Nov 2015 18:12:29 +0000
 

=== modified file 'debian/launchpad-buildd.init'
--- debian/launchpad-buildd.init	2015-11-16 18:13:05 +0000
+++ debian/launchpad-buildd.init	2016-01-05 17:51:00 +0000
@@ -75,6 +75,10 @@
     CONF=$1
     PIDFILE="$PIDROOT"/"$CONF".pid
     LOGFILE="$LOGROOT"/"$CONF".log
+
+    # Useful for certain kinds of image builds.
+    modprobe nbd || true
+
     su - buildd -c "BUILDD_SLAVE_CONFIG=$CONFROOT/$CONF PYTHONPATH=/usr/lib/launchpad-buildd twistd --no_save --pidfile $PIDFILE --python $TACFILE --logfile $LOGFILE --umask 022"
 }